# Uses of Class
org.eclipse.core.expressions.EvaluationResult

Packages that use EvaluationResult
Package
Description
org.eclipse.core.expressions
Application programming interfaces for the expression language.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.

## Uses of EvaluationResult in org.eclipse.core.expressions

Fields in org.eclipse.core.expressions declared as EvaluationResult
Modifier and Type
Field
Description
`static final EvaluationResult`
EvaluationResult.`FALSE`
The evaluation result representing the value FALSE
`static final EvaluationResult`
EvaluationResult.`NOT_LOADED`
The evaluation result representing the value NOT_LOADED
`static final EvaluationResult`
EvaluationResult.`TRUE`
The evaluation result representing the value TRUE
Methods in org.eclipse.core.expressions that return EvaluationResult
Modifier and Type
Method
Description
`EvaluationResult`
EvaluationResult.`and(EvaluationResult other)`
Returns an `EvaluationResult` whose value is `this && other)`.
`EvaluationResult`
AndExpression.`evaluate(IEvaluationContext context)`
`EvaluationResult`
CountExpression.`evaluate(IEvaluationContext context)`
`EvaluationResult`
EqualsExpression.`evaluate(IEvaluationContext context)`
`abstract EvaluationResult`
Expression.`evaluate(IEvaluationContext context)`
Evaluates this expression.
`EvaluationResult`
OrExpression.`evaluate(IEvaluationContext context)`
`EvaluationResult`
ReferenceExpression.`evaluate(IEvaluationContext context)`
`EvaluationResult`
TestExpression.`evaluate(IEvaluationContext context)`
`EvaluationResult`
WithExpression.`evaluate(IEvaluationContext context)`
`protected EvaluationResult`
CompositeExpression.`evaluateAnd(IEvaluationContext scope)`
`protected EvaluationResult`
CompositeExpression.`evaluateOr(IEvaluationContext scope)`
`EvaluationResult`
EvaluationResult.`not()`
Returns the inverted value of this evaluation result
`EvaluationResult`
EvaluationResult.`or(EvaluationResult other)`
Returns an `EvaluationResult` whose value is `this || other)`.
`static EvaluationResult`
EvaluationResult.`valueOf(boolean b)`
Returns an evaluation result instance representing the given boolean value.
`static EvaluationResult`
EvaluationResult.`valueOf(Boolean b)`
Returns a evaluation result instance representing the given `Boolean` value.
Methods in org.eclipse.core.expressions with parameters of type EvaluationResult
Modifier and Type
Method
Description
`EvaluationResult`
EvaluationResult.`and(EvaluationResult other)`
Returns an `EvaluationResult` whose value is `this && other)`.
`EvaluationResult`
EvaluationResult.`or(EvaluationResult other)`
Returns an `EvaluationResult` whose value is `this || other)`.

## Uses of EvaluationResult in org.eclipse.ui

Methods in org.eclipse.ui that return EvaluationResult
Modifier and Type
Method
Description
`EvaluationResult`
ActiveShellExpression.`evaluate(IEvaluationContext context)`
Evaluates this expression.
`EvaluationResult`
LegacyHandlerSubmissionExpression.`evaluate(IEvaluationContext context)`
Evaluates this expression.